Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
/
badge
Get badge data for a status page
curl --request GET \
  --url https://api.example.com/api/v1/status-pages/{id}/badge
{
  "statusPageId": "<string>",
  "statusPageName": "<string>",
  "visibility": "public",
  "status": "operational",
  "uptimePercentage": 123,
  "text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Query Parameters

preview
enum<string>

Force a specific status for preview purposes

Available options:
operational,
unavailable,
investigation
textOperational
string

Custom label for operational status

textUnavailable
string

Custom label for unavailable status

textInvestigation
string

Custom label for investigation status

Response

200 - application/json

Badge data

statusPageId
string
required
statusPageName
string
required
visibility
enum<string>
required
Available options:
public,
private
status
enum<string>
required
Available options:
operational,
unavailable,
investigation
uptimePercentage
number
required
text
string
required